Subject: bug#32030: 27.0.50; debug-on-signal, void-variable

From: Brady Trainor <[email-masked]>
Date: Sun, 01 Jul 2018 22:13:22 -0700

Noam Postavsky <[email-masked]> writes:

> tags 32030 notabug
> quit
>
> Brady Trainor <[email-masked]> writes:
>
>> With a new ~/.emacs.d and init.el, only containing the following
>>
>> (setq debug-on-error t)
>> (setq debug-on-signal t)
>>
>> I get errors
>
> That's not a bug, when you set debug-on-signal, then you will enter the
> debugger even for errors that will be handled by condition-case.
>
> Is this a reduction from some real life failure scenario?

Reduction? Hmm. Dart-mode is provoking error messages related to
jit-lock, and sending them to Messages buffer (the issue from tracker
I'm currently reproducing is when dart-mode is applied to a buffer with
string interpolation). I was trying to make a minimal broken example
more obvious with debugger opening on startup. Maybe we can set that
variable closer the moment dart-mode is called, when the trace is
preferred.

-- 
Brady